Bug 218366 - www/rubygem-rest-client: update to 2.0.1
Summary: www/rubygem-rest-client: update to 2.0.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-04-04 14:22 UTC by Po-Chuan Hsieh
Modified: 2017-04-19 14:42 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (renchap)


Attachments
patch (1.44 KB, patch)
2017-04-04 14:22 UTC, Po-Chuan Hsieh
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Po-Chuan Hsieh freebsd_committer 2017-04-04 14:22:19 UTC
Created attachment 181472 [details]
patch

Update to 2.0.1

- Add LICENSE

Changes:        https://github.com/rest-client/rest-client/blob/master/history.md
Comment 1 Matthias Fechner freebsd_committer 2017-04-06 19:54:16 UTC
Could this patch please be commited quickly?
The upgrade of rubygem-google-api-client: 0.10.2 -> 0.11.1 brokes some ports like (www/gitlab).
The upgrade of this port to 2.0.1 fixes it again.
Comment 2 Kurt Jaeger freebsd_committer 2017-04-11 05:24:48 UTC
Testbuilds are fine.
Comment 3 Po-Chuan Hsieh freebsd_committer 2017-04-11 06:51:21 UTC
Yes, I submit poudriere-tested PR. :)
Comment 4 Kurt Jaeger freebsd_committer 2017-04-11 07:29:35 UTC
This seems to block a security update of gitlab:

https://about.gitlab.com/2017/04/05/gitlab-9-dot-0-dot-4-security-release/

Would that warrant to skip the 14 days waiting on the maintainer ?
Comment 5 Po-Chuan Hsieh freebsd_committer 2017-04-13 13:35:21 UTC
I don't think it is necessary. They are unrelated. I've removed it from "Blocks".
Comment 6 Matthias Fechner freebsd_committer 2017-04-13 15:30:43 UTC
Dear Po-Chuan,

you are right with the creation of the port devel/rubygem-google-api-client010 this port does not block the gitlab security update anymore.
(it is already committed), thanks to Torsten.
Comment 7 commit-hook freebsd_committer 2017-04-19 14:40:30 UTC
A commit references this bug:

Author: sunpoet
Date: Wed Apr 19 14:39:11 UTC 2017
New revision: 438852
URL: https://svnweb.freebsd.org/changeset/ports/438852

Log:
  Update to 2.0.1

  - Add LICENSE

  Changes:	https://github.com/rest-client/rest-client/blob/master/history.md
  PR:		218366
  Submitted by:	sunpoet (myself)
  Approved by:	maintainer (timeout, 15 days)

Changes:
  head/www/rubygem-rest-client/Makefile
  head/www/rubygem-rest-client/distinfo
Comment 8 Po-Chuan Hsieh freebsd_committer 2017-04-19 14:42:58 UTC
Committed. Thanks!